Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1313)
+++ palm/trunk/SOURCE/header.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -108,91 +114,4 @@
 ! 825 2012-02-19 03:03:44Z raasch
 ! Output of cloud physics parameters/quantities complemented and restructured
-!
-! 767 2011-10-14 06:39:12Z raasch
-! Output of given initial u,v-profiles
-!
-! 759 2011-09-15 13:58:31Z raasch
-! output of maximum number of parallel io streams
-!
-! 707 2011-03-29 11:39:40Z raasch
-! bc_lr/ns replaced by bc_lr/ns_cyc
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! Output of advection scheme.
-! Modified output of Prandtl-layer height.
-!
-! 580 2010-10-05 13:59:11Z heinze
-! Renaming of ws_vertical_gradient to subs_vertical_gradient,
-! ws_vertical_gradient_level to subs_vertical_gradient_level and
-! ws_vertical_gradient_level_ind to subs_vertical_gradient_level_i
-!
-! 493 2010-03-01 08:30:24Z raasch
-! NetCDF data output format extendend for NetCDF4/HDF5
-!
-! 449 2010-02-02 11:23:59Z raasch
-! +large scale vertical motion (subsidence/ascent)
-! Bugfix: index problem concerning gradient_level indices removed
-!
-! 410 2009-12-04 17:05:40Z letzel
-! Masked data output: + dt_domask, mask_01~20_x|y|z, mask_01~20_x|y|z_loop, 
-! mask_scale|_x|y|z, masks, skip_time_domask
-!
-! 346 2009-07-06 10:13:41Z raasch
-! initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill'
-! Coupling with independent precursor runs.
-! Output of messages replaced by message handling routine.
-! Output of several additional dvr parameters
-! +canyon_height, canyon_width_x, canyon_width_y, canyon_wall_left,
-! canyon_wall_south, conserve_volume_flow_mode, dp_external, dp_level_b, 
-! dp_smooth, dpdxy, u_bulk, v_bulk
-! topography_grid_convention moved from user_header
-! small bugfix concerning 3d 64bit netcdf output format
-!
-! 206 2008-10-13 14:59:11Z raasch
-! Bugfix: error in zu index in case of section_xy = -1
-!
-! 198 2008-09-17 08:55:28Z raasch
-! Format adjustments allowing output of larger revision numbers
-!
-! 197 2008-09-16 15:29:03Z raasch
-! allow 100 spectra levels instead of 10 for consistency with 
-! define_netcdf_header,
-! bugfix in the output of the characteristic levels of potential temperature, 
-! geostrophic wind, scalar concentration, humidity and leaf area density,
-! output of turbulence recycling informations
-!
-! 138 2007-11-28 10:03:58Z letzel
-! Allow new case bc_uv_t = 'dirichlet_0' for channel flow.
-! Allow two instead of one digit to specify isosurface and slicer variables.
-! Output of sorting frequency of particles
-!
-! 108 2007-08-24 15:10:38Z letzel
-! Output of informations for coupled model runs (boundary conditions etc.)
-! + output of momentumfluxes at the top boundary
-! Rayleigh damping for ocean, e_init
-!
-! 97 2007-06-21 08:23:15Z raasch
-! Adjustments for the ocean version.
-! use_pt_reference renamed use_reference
-!
-! 87 2007-05-22 15:46:47Z raasch
-! Bugfix: output of use_upstream_for_tke
-!
-! 82 2007-04-16 15:40:52Z raasch
-! Preprocessor strings for different linux clusters changed to "lc",
-! routine local_flush is used for buffer flushing
-!
-! 76 2007-03-29 00:58:32Z raasch
-! Output of netcdf_64bit_3d, particles-package is now part of the default code,
-! output of the loop optimization method, moisture renamed humidity,
-! output of subversion revision number
-!
-! 19 2007-02-23 04:53:48Z raasch
-! Output of scalar flux applied at top boundary
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.63  2006/08/22 13:53:13  raasch
-! Output of dz_max
 !
 ! Revision 1.1  1997/08/11 06:17:20  raasch
@@ -209,38 +128,111 @@
 !-----------------------------------------------------------------------------!
 
-    USE arrays_3d
+    USE arrays_3d,                                                             &
+        ONLY:  lad, pt_init, qsws, q_init, sa_init, shf, ug, vg, w_subs, zu
+        
     USE control_parameters
-    USE cloud_parameters
-    USE cpulog
-    USE dvrp_variables
-    USE grid_variables
-    USE indices
-    USE model_1d
-    USE particle_attributes
+        
+    USE cloud_parameters,                                                      &
+        ONLY:  cp, curvature_solution_effects, c_sedimentation,                &
+               limiter_sedimentation, l_v, nc_const, r_d, ventilation_effect
+        
+    USE cpulog,                                                                &
+        ONLY:  log_point_s
+        
+    USE dvrp_variables,                                                        &
+        ONLY:  use_seperate_pe_for_dvrp_output
+        
+    USE grid_variables,                                                        &
+        ONLY:  dx, dy
+        
+    USE indices,                                                               &
+        ONLY:  mg_loc_ind, nnx, nny, nnz, nx, ny, nxl_mg, nxr_mg, nyn_mg,      &
+               nys_mg, nzt, nzt_mg
+        
+    USE kinds
+    
+    USE model_1d,                                                              &
+        ONLY:  damp_level_ind_1d, dt_pr_1d, dt_run_control_1d, end_time_1d
+        
+    USE particle_attributes,                                                   &
+        ONLY:  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t, collision_kernel,     &
+               density_ratio, dissipation_classes, dt_min_part, dt_prel,       &
+               dt_sort_particles, dt_write_particle_data, end_time_prel,       &
+               maximum_number_of_tailpoints, maximum_tailpoint_age,            &
+               minimum_tailpoint_distance, number_of_particle_groups,          &
+               particle_advection, particle_advection_start,                   &
+               particles_per_point, pdx, pdy, pdz,  psb, psl, psn, psr, pss,   &
+               pst, radius, radius_classes, random_start_position,             &
+               total_number_of_particles, use_particle_tails,                  &
+               use_sgs_for_particles, total_number_of_tails,                   &
+               vertical_particle_advection, write_particle_statistics
+        
     USE pegrid
-    USE subsidence_mod
-    USE spectrum
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=1)  ::  prec
-    CHARACTER (LEN=2)  ::  do2d_mode
-    CHARACTER (LEN=5)  ::  section_chr
-    CHARACTER (LEN=10) ::  coor_chr, host_chr
-    CHARACTER (LEN=16) ::  begin_chr
-    CHARACTER (LEN=26) ::  ver_rev
-    CHARACTER (LEN=40) ::  output_format
-    CHARACTER (LEN=70) ::  char1, char2, dopr_chr, &
-                           do2d_xy, do2d_xz, do2d_yz, do3d_chr, &
-                           domask_chr, run_classification
-    CHARACTER (LEN=86) ::  coordinates, gradients, learde, slices,  &
-                           temperatures, ugcomponent, vgcomponent
-    CHARACTER (LEN=85) ::  roben, runten
-
-    CHARACTER (LEN=1), DIMENSION(1:3) ::  dir = (/ 'x', 'y', 'z' /)
-
-    INTEGER ::  av, bh, blx, bly, bxl, bxr, byn, bys, ch, count, cwx, cwy,  &
-                cxl, cxr, cyn, cys, dim, i, io, j, l, ll, mpi_type
-    REAL    ::  cpuseconds_per_simulated_second
+    CHARACTER (LEN=1)  ::  prec                !:
+    
+    CHARACTER (LEN=2)  ::  do2d_mode           !:
+    
+    CHARACTER (LEN=5)  ::  section_chr         !:
+    
+    CHARACTER (LEN=10) ::  coor_chr            !:
+    CHARACTER (LEN=10) ::  host_chr            !:
+    
+    CHARACTER (LEN=16) ::  begin_chr           !:
+    
+    CHARACTER (LEN=26) ::  ver_rev             !:
+    
+    CHARACTER (LEN=40) ::  output_format       !:
+    
+    CHARACTER (LEN=70) ::  char1               !:
+    CHARACTER (LEN=70) ::  char2               !:
+    CHARACTER (LEN=70) ::  dopr_chr            !:
+    CHARACTER (LEN=70) ::  do2d_xy             !:
+    CHARACTER (LEN=70) ::  do2d_xz             !:
+    CHARACTER (LEN=70) ::  do2d_yz             !:
+    CHARACTER (LEN=70) ::  do3d_chr            !:
+    CHARACTER (LEN=70) ::  domask_chr          !:
+    CHARACTER (LEN=70) ::  run_classification  !:
+    
+    CHARACTER (LEN=85) ::  roben               !:
+    CHARACTER (LEN=85) ::  runten              !:
+    
+    CHARACTER (LEN=86) ::  coordinates         !:
+    CHARACTER (LEN=86) ::  gradients           !:
+    CHARACTER (LEN=86) ::  learde              !:
+    CHARACTER (LEN=86) ::  slices              !:
+    CHARACTER (LEN=86) ::  temperatures        !:
+    CHARACTER (LEN=86) ::  ugcomponent         !:
+    CHARACTER (LEN=86) ::  vgcomponent         !:
+
+    CHARACTER (LEN=1), DIMENSION(1:3) ::  dir = (/ 'x', 'y', 'z' /)  !:
+
+    INTEGER(iwp) ::  av        !:
+    INTEGER(iwp) ::  bh        !:
+    INTEGER(iwp) ::  blx       !:
+    INTEGER(iwp) ::  bly       !:
+    INTEGER(iwp) ::  bxl       !:
+    INTEGER(iwp) ::  bxr       !:
+    INTEGER(iwp) ::  byn       !:
+    INTEGER(iwp) ::  bys       !:
+    INTEGER(iwp) ::  ch        !:
+    INTEGER(iwp) ::  count     !:
+    INTEGER(iwp) ::  cwx       !:
+    INTEGER(iwp) ::  cwy       !:
+    INTEGER(iwp) ::  cxl       !:
+    INTEGER(iwp) ::  cxr       !:
+    INTEGER(iwp) ::  cyn       !:
+    INTEGER(iwp) ::  cys       !:
+    INTEGER(iwp) ::  dim       !:
+    INTEGER(iwp) ::  i         !:
+    INTEGER(iwp) ::  io        !:
+    INTEGER(iwp) ::  j         !:
+    INTEGER(iwp) ::  l         !:
+    INTEGER(iwp) ::  ll        !:
+    INTEGER(iwp) ::  mpi_type  !:
+    
+    REAL(wp) ::  cpuseconds_per_simulated_second  !:
 
 !
